import Vue from "vue";
import Vuex from "vuex";

import Registration from "./modules/accounts/registration";
import Authentication from "./modules/accounts/authentication";
import RestaurantSearch from "./modules/restaurants/restaurantSearch";
import RestaurantCategories from "./modules/restaurants/restaurantCategories";
import Restaurant from "./modules/restaurants/restaurant";
import MOPs from "./modules/shared/restaurantMOP";
import User from "./modules/users/user";
import MenuCategories from "./modules/restaurants/restaurantMenuCategories";
import MenuOptions from "./modules/restaurants/restaurantMenuOptions";
import Menu from "./modules/restaurants/restaurantMenu";
import HomeMenu from "./modules/restaurants/menu";
import Cart from "./modules/orders/cart";
import RestaurantUser from "./modules/restaurants/restaurantUsers";
import RestaurantRoles from "./modules/restaurants/restaurantRoles";
import Order from "./modules/orders/order";

Vue.use(Vuex);
/* eslint no-param-reassign: ["error", { "props": false }] */
export default new Vuex.Store({
  modules: {
    registration: Registration,
    authentiaction: Authentication,
    restaurantSearch: RestaurantSearch,
    restaurantCategories: RestaurantCategories,
    restaurant: Restaurant,
    user: User,
    mop: MOPs,
    menuCategories: MenuCategories,
    menuOptions: MenuOptions,
    menu: Menu,
    homeMenu: HomeMenu,
    cart: Cart,
    restaurantUser: RestaurantUser,
    restaurantRoles: RestaurantRoles,
    order: Order
  }
});
