import axios from "axios";

export default {
  namespaced: true,
  state: {
    order: {},
    orders: [],
    orderItems: []
  },
  mutations: {
    setOrder(state, order) {
      state.order = order;
    },
    setOrders(state, orders) {
      state.orders = orders;
    },
    setOrderItems(state, items) {
      state.orderItems = items;
    }
  },
  getters: {},
  actions: {
    getOrder({ commit }, id) {
      axios.get(`/api/order/${id}`).then(result => commit("setOrder", result.data));
    },
    getUserOrders({ commit }, userId) {
      axios
        .get(`/api/order/GetUserOrders/${userId}`)
        .then(result => commit("setOrders", result.data));
    },
    getRestaurantOrders({ commit }, restaurantId) {
      axios
        .get(`/api/order/GetRestaurantOrders/${restaurantId}`)
        .then(result => commit("setOrders", result.data));
    },
    getOrderItems({ commit }, orderId) {
      axios
        .get(`/api/order/GetOrderItems/${orderId}`)
        .then(result => commit("setOrderItems", result.data));
    },
    saveOrder({ commit }, order) {
      axios.post("/api/order", order).then(result => commit("setOrders", result.data));
    }
  }
};
